tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
TCLAP::VersionVisitor Class Reference

A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit. More...

`#include <VersionVisitor.h>`

Inheritance diagram for TCLAP::VersionVisitor:

## Public Member Functions
| VersionVisitor (CmdLineInterface *cmd, CmdLineOutput **out)
| Constructor. More...
void | visit ()
| Calls the version method of the output object using the specified CmdLine. More...
Public Member Functions inherited from TCLAP::Visitor
| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...

## Protected Attributes
CmdLineInterface * | _cmd
| The CmdLine of interest. More...
CmdLineOutput ** | _out
| The output object. More...

## Detailed Description

A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit.

Definition at line 37 of file VersionVisitor.h.

## Constructor & Destructor Documentation

TCLAP::VersionVisitor::VersionVisitor | ( | CmdLineInterface * | cmd,
|  | CmdLineOutput ** | out
| ) |  |
| inline

Constructor.

Parameters

  cmd | - The CmdLine the output is generated for.
  out | - The type of output.

Definition at line 65 of file VersionVisitor.h.

## Member Function Documentation

void TCLAP::VersionVisitor::visit | ( |  | ) |
| inline virtual

Calls the version method of the output object using the specified CmdLine.

Reimplemented from TCLAP::Visitor.

Definition at line 72 of file VersionVisitor.h.

## Member Data Documentation

CmdLineInterface* TCLAP::VersionVisitor::_cmd
| protected

The CmdLine of interest.

Definition at line 51 of file VersionVisitor.h.

CmdLineOutput** TCLAP::VersionVisitor::_out
| protected

The output object.

Definition at line 56 of file VersionVisitor.h.

The documentation for this class was generated from the following file:

- VersionVisitor.h